aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Lehtonen <markus.lehtonen@linux.intel.com>2016-10-05 16:47:43 +0300
committerMarkus Lehtonen <markus.lehtonen@linux.intel.com>2016-10-06 09:52:18 +0300
commit45bad3d8012b6360aad6f10539a7918ab36a22af (patch)
treeade34675b470d3e226967fc90fcbfbea05c36214
parent5b3a8302c30335c3e39a1b304c64abf7caac6b65 (diff)
downloadopenembedded-core-contrib-45bad3d8012b6360aad6f10539a7918ab36a22af.tar.gz
openembedded-core-contrib-45bad3d8012b6360aad6f10539a7918ab36a22af.tar.bz2
openembedded-core-contrib-45bad3d8012b6360aad6f10539a7918ab36a22af.zip
build-perf-bisect: add esdksizetest method
Method measuring the deployed size of eSDK. Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com>
-rwxr-xr-xbuild-perf-bisect.sh28
1 files changed, 22 insertions, 6 deletions
diff --git a/build-perf-bisect.sh b/build-perf-bisect.sh
index a5fed0ee4f..ec070a4b51 100755
--- a/build-perf-bisect.sh
+++ b/build-perf-bisect.sh
@@ -38,8 +38,8 @@ Optional arguments:
-i invert logic: values above the threshold are OK, below it
FAIL
-m test method, available options are:
- buildtime, buildtime2, tmpsize, esdktime, parsetime
- (default: $test_method)
+ buildtime, buildtime2, tmpsize, esdktime, esdksize,
+ parsetime (default: $test_method)
-n no threshold, do not do any comparison, all successful
builds return 0
-w work directory to use
@@ -266,7 +266,7 @@ tmpsize () {
results+=(`du -s tmp* | cut -f1`) || exit 255
}
-esdktime () {
+esdk_common () {
run_cmd rm -rf esdk-deploy
_time=`time_cmd bitbake $1 -c populate_sdk_ext` || exit 125
@@ -277,10 +277,21 @@ esdktime () {
do_sync
- results+=(`time_cmd "${esdk_installer[-1]}" -y -d "esdk-deploy"`) || exit 125
+ _time=`time_cmd "${esdk_installer[-1]}" -y -d "esdk-deploy"` || exit 125
+ _size=`du -s --apparent-size -B1024 esdk-deploy | cut -f1` || exit 255
}
-cleanup_esdktime () {
+esdktime () {
+ esdk_common "$@"
+ results+=($_time)
+}
+
+esdksize () {
+ esdk_common "$@"
+ results+=($_size)
+}
+
+cleanup_esdk () {
run_cmd rm -rf esdk-deploy tmp*
}
@@ -312,7 +323,12 @@ case "$test_method" in
;;
esdktime)
builddir="$workdir/build"
- cleanup_func=cleanup_esdktime
+ cleanup_func=cleanup_esdk
+ ;;
+ esdksize)
+ builddir="$workdir/build"
+ cleanup_func=cleanup_esdk
+ quantity="SIZE"
;;
parsetime)
build_target=""